write_parquet <- function(x, path, ...) {
  fs::dir_create(fs::path_dir(path))
  arrow::write_parquet(x, path, ...)
  path
}

out_write_parquet <- function(x, name, ...) {
  out <- fs::path("data-out", name, name, ext = "parquet")
  fs::dir_create(fs::path_dir(out))

  arrow::write_parquet(x, out, ...)

  fs::path_dir(out)
}
